Skip to main content
Topic solved
This topic has been marked as solved and requires no further attention.
Topic: Can't basestrap Runit (Read 126 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

Can't basestrap Runit

Hello friends!

I can't seem to basestrap runit with base... Is the problem on my end? I think it must be something wrong with the package database but I don't know

Code: [Select]
Enter a number (default=1): 
looking for conflicting packages...
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: openrc and runit are in conflict
==> ERROR: Failed to install packages to new root



Re: Can't basestrap Runit

Reply #2
I did add the -i though.....

Re: Can't basestrap Runit

Reply #3
Proper basestrap has two options.

Interactive, and non interactive.

Non interactive specifies the elogind init script additionally to base, interactive lets you chose from the 3 elogind init options, elogind-openrc, elogind-s6, elogind-runit.

Non interactive:

Code: [Select]
basestrap /mnt base elogind-<init>

Interactive:

Code: [Select]
basestrap -i /mnt base


Re: Can't basestrap Runit

Reply #4
Just adding -i didn't work, but adding elogind-runit made it work.